/*
** Copyright (C) 1999 Christian Werner
**
** This program and library is free software; you can redistribute it and/or
** modify it under the terms of the GNU (Library) General Public License
** as published by the Free Software Foundation; either version 2
** of the License, or any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
** GNU (Library) General Public License for more details.
**
** You should have received a copy of the GNU (Library) General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

package swishej;

/**
 * Constants used in the SWISH-E search package.
 */

public class Consts {
    static final boolean DEBUG = false;

    /**
     * Search in entire file.
     */
    public static final int IN_FILE = 1;

    /**
     * Search in HTML &lt;title&gt;.
     */
    public static final int IN_TITLE = 2;

    /**
     * Search in HTML &lt;head&gt;.
     */
    public static final int IN_HEAD = 4;

    /**
     * Search in HTML &lt;body&gt;.
     */
    public static final int IN_BODY = 8;

    /**
     * Search in HTML &lt;!-- * --&gt;.
     */
    public static final int IN_COMMENTS = 16;

    /**
     * Search in HTML &lt;h[0-9]+&gt;.
     */
    public static final int IN_HEADER = 32;

    /**
     * Search in HTML &lt;em&gt; or &lt;strong&gt;.
     */
    public static final int IN_EMPHASIZED = 64;

    /**
     * Search in all parts.
     */
    public static final int IN_ALL = 127;

    static final int MAXCHARS = 135;
    static final int MAXLONGLEN = 16;
    static final int METANAMEPOS = MAXCHARS - 4;
    static final int STOPWORDPOS = MAXCHARS - 3;
    static final int FILELISTPOS = MAXCHARS - 2;
    static final int FILEOFFSETPOS = MAXCHARS - 1;

    static final int NO_RULE = 0;
    static final int AND_RULE = 1;
    static final int OR_RULE = 2;
    static final int NOT_RULE = 3;
    static final int DEFAULT_RULE = AND_RULE;
}
