/*
** Copyright (C) 1999 Christian Werner
**
** This program and library is free software; you can redistribute it and/or
** modify it under the terms of the GNU (Library) General Public License
** as published by the Free Software Foundation; either version 2
** of the License, or any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
** GNU (Library) General Public License for more details.
**
** You should have received a copy of the GNU (Library) General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

package swishej;

import java.util.*;

/**
 * Class to implement a list for marking file numbers.
 */ 

class Mark extends Hashtable {
    /**
     * Marks a file number.
     * @param num file number to be marked
     */
    void marknum(int num) {
        Integer i = new Integer(num);
        put(i, i);
    }  

    /**
     * Tests a file number being already marked.
     * @param num file number to be tested
     * @return true, if the file number is marked, false otherwise
     */
    boolean ismarked(int num) {
        return containsKey(new Integer(num)); 
    }
}

