/*
** Copyright (C) 1999 Christian Werner
**
** This program and library is free software; you can redistribute it and/or
** modify it under the terms of the GNU (Library) General Public License
** as published by the Free Software Foundation; either version 2
** of the License, or any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
** GNU (Library) General Public License for more details.
**
** You should have received a copy of the GNU (Library) General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

package swishej;

import java.net.*;

/**
 * Information used througout search.
 * @see swishej.SortResult
 */

class SortInfo {
    /**
     * Current highest rank in search.
     */
    int bigrank;

    /**
     * Maximum number of hits in result, decremented during search.
     */
    int maxhits;

    /**
     * Raw keyword string for search.
     */
    String words;

    /**
     * Base URL of search.
     */
    URL base;

    /**
     * Flag for search result format. If true HTML is produced.
     */
    boolean htm;

    /**
     * Create a new sort information.
     */
    SortInfo() {
        bigrank = 0;
	maxhits = 0;
	words = null;
	base = null;
	htm = false;
    }

    /**
     * Create a new sort information with keyword string and base URL.
     * @param s keyword string
     * @param url Base URL
     */
    SortInfo(String s, URL url) {
        bigrank = 0;
	maxhits = 0;
	words = s;
	base = url;
	htm = true;
    }
}
