/*
** swishej package Copyright (C) 1999-2001 Christian Werner
** class added by InterRed GmbH 03/2003
**
** This program and library is free software; you can redistribute it and/or
** modify it under the terms of the GNU (Library) General Public License
** as published by the Free Software Foundation; either version 2
** of the License, or any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
** GNU (Library) General Public License for more details.
**
** You should have received a copy of the GNU (Library) General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

package swishej;

public class SortResultList {

  private SortResult[] sortResultArray;
  private static int resultIterator = 0;

  public SortResultList(SortResult initialElement) {
    int rightCount = initialElement.rightCount;
    int leftCount = initialElement.leftCount;
    this.sortResultArray = new SortResult[leftCount + rightCount + 1];
    resultIterator = 0;
    fillResultArray(initialElement);
  }

  private void fillResultArray(SortResult sr){
    if(sr != null){
      fillResultArray(sr.left);
//System.out.println(" Fuelle resultlist: " + resultIterator + " - " + sr.fileinfo);
      this.sortResultArray[resultIterator++] = sr;
      fillResultArray(sr.right);
    }
  }


  public int getResultCount(){
    if(this.sortResultArray != null){
      return this.sortResultArray.length;
    }
    else {
      return 0;
    }
  }

  public String[] getResultInfos(int index){
    if(this.sortResultArray != null && this.sortResultArray[index] != null){
      return this.sortResultArray[index].getResultInfos();
    }
    else {
      return null;
    }
  }

}